%define name	libol
%define version 0.2.20
%define release 1mdk

%define libmajor 0
%define libname %name%libmajor

Summary: libol is a nonblocking I/O and OO library
Name: %{name}
Version: %{version}
Release: %{release}
URL: http://www.balabit.hu/en/products/syslog-ng/
Source0: %{name}-%{version}.tar.bz2
License: GPL
Group: System/Libraries
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}

%description
libol is a nonblockin I/O and OO library. It is needed to build syslog-ng,
the new generation syslog.

%package -n %{libname}
Group: Development/Other
License: GPL
Summary: libol is a nonblocking I/O and OO library. This package contains the libraries.

%description -n %{libname}
libol is a nonblockin I/O and OO library. It is needed to build syslog-ng,
the new generation syslog.

%package -n %{libname}-devel
Group: Development/Other
License: GPL
Summary: libol is a nonblocking I/O and OO library. This package contains the headers and development libraries necessary to develop applications.
Requires: %libname = %version
Provides: libol-devel


%description -n %{libname}-devel
libol is a nonblockin I/O and OO library. It is needed to build syslog-ng,
the new generation syslog.


%prep
rm -rf $RPM_BUILD_ROOT

%setup

%build

%configure

%make

%install

%makeinstall

%post -n %libname
/sbin/ldconfig

%postun -n %libname
/sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files -n %{libname}
%defattr(-,root,root)
%_bindir/*
%_libdir/*so.*

%files -n %{libname}-devel
%defattr (-,root,root)
%_includedir/libol/
%_libdir/*.a
%_libdir/*.la
%_libdir/libol.so


%changelog
* Wed Jan 17 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.2.20-1mdk
- used srpm from Daniel Serodio <dserodio@email.com> 
	- First spec file for Mandrake distribution, based on skelet.spec
  	from MandrakeSoft
- make compliant to library policy


# end of file
